Fetch Recommendation Results
This API fetches/retrieves the metadata results of any recommendations for a user based on their user ID and item ID.
Rate Limit
You can fetch 10,000 recommendations per minute.Authorizations
Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.
- Username: Use your MoEngage workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
- Password: Use your API Key, which you can find within the Campaign report/Business events/Custom templates/Catalog API/Inform Report tile.
For more information on authentication and getting your credentials, refer here.
Headers
This is the Workspace ID of your MoEngage account that must be passed with the request. You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
It represents the type of recommendations from which the results are fetched.
user_action, item_attribute, catalog_alert, similar_item, frequently_viewed_together, frequently_bought_together, trending_item, user_personalization Path Parameters
This parameter indicates the unique identifier associated with the recommendation created in the recommendation module.
You can obtain the recommendation_id from the recommendation you created on the recommendation page.
Body
A user ID is a unique identifier that represents a user. You can obtain the user_id from the user info page. For more information, refer to User Identity Management.
An item_id is a unique identifier assigned to each item in the catalog.
If the RECOMMENDATION-TYPE is any of the similar_item, frequently_viewed_together, or frequently_bought_together, you must provide the item_id.
This item_id acts as the anchor to serve recommended items based on the RECOMMENDATION-TYPE.
We expect the user's most recently interacted item_id to serve contextually recommended items.
You can define the attributes of items you require from the catalog in the recommendation response. For example, title, price, link, image_link, and so on.
If the attributes above are not defined, all item attributes in the catalog will be included in the response. The response size may increase depending on the number of attributes in the catalog. Therefore, it is recommended that only the necessary attributes be specified.
["title", "price", "image_link"]Response
Indicates that the request is successful and a recommendation is fetched.